/*Estilos generales*/
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  html {
    font-size: 62.5%;
    font-family: "Open Sans", sans-serif;
  }
  :root {
    --green: #3E786E;
    --secondary-color: #F7B733;
    --background: #DFDCE3;
    --text-color: #292929;
    --call-to-action: #D55C42;
  }
  body {
    background-color: var(--background);
    color: var(--text-color);
  }
  a {
    text-decoration: none;
  }
  li {
    list-style: none;
  }
/*Estilos para el header*/
header {
    display: flex;
    align-items: center;
    background-color: var(--background);
    width: 100%;
    height: 80px;
    margin-top: 10px;
}
header nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}
.logo {
    position: relative;
    left: 10px;
}
header .logo img {
    width: 100px;
    height: auto;
}
header nav .navigation {
    display: flex;
    gap: 20px;
    align-items: center;
}
header nav .navigation a {
    font-size: 2.0rem;
    text-decoration: none;
    color: var(--text-color);
    font-weight: 600;
    position: relative;
    padding-bottom: 5px;
    transition: color 0.3 ease, border-bottom 0.3s ease;
}
.navigation a:hover {
    color: var(--green);
    border-bottom: 2px solid var(--green);
}
.navigation .active {
    color: var(--green);
    border-bottom: 2px solid var(--green);
}
.header-content {
    position: fixed;
    z-index: 1000;
    right: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 20px;
    background-color: var(--background);
    padding: 5px 10px;
    border-radius: 10px;
}
.boton-donaciones {
    border: none;
    color: var(--background);
    font-size: 2.0rem;
    font-weight: 700;
    padding: 5px 20px;
    border-radius: 10px ;
    background-color: #E6735A;
    letter-spacing: 1px;
    transition: background-color 0.3s ease;
    cursor: pointer;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
}
.boton-donaciones:hover {
    background-color: #D55C42;
}
.menu-toggle {
    display: block;
    background: none;
    border: 2px solid var(--green);
    border-radius: 10px;
    cursor: pointer;
    padding: 0;
    z-index: 1000;
    height: 40px;
    width: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    transition: all 300ms ease-in-out;
    position: relative;
}

.bar {
    height: 3px;
    width: 30px;
    background-color: var(--green);
    border-radius: 3px;
    transition: all 300ms ease-in-out;
    position: absolute;
}

.bar:nth-child(1) {
    transform: translateY(-8px);
}

.bar:nth-child(2) {
    transform: translateY(0);
}

.bar:nth-child(3) {
    transform: translateY(8px);
}

.menu-toggle.active {
    border-color: var(--green);
}

.menu-toggle.active .bar {
    background-color: var(--green);
}

.menu-toggle.active .bar:nth-child(1) {
    transform: rotate(45deg);
}

.menu-toggle.active .bar:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active .bar:nth-child(3) {
    transform: rotate(-45deg);
}

.navigation {
    position: fixed;
    top: 0;
    right: -100%;
    width: 70%;
    height: 100vh;
    background-color: var(--secondary-color);
    flex-direction: column;
    padding: 100px 20px;
    transition: right 0.3s ease;
    z-index: 2;
}

.navigation.active {
    right: 0;
}

.navigation a,
.navigation .boton-donaciones {
    width: 100%;
    text-align: center;
    padding: 15px 0;
    font-size: 1.8rem;
}

header nav .boton-donaciones {
    display: block;
}
/*Estilos para el footer*/
footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding: 20px;
    background-color: #292929;
    width: 100%;
    height: 423px;
}
/* Estilos para el formulario de suscripción */
.footer__suscription {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    width: 100%;
    height: 118px;
    border-bottom: 1px solid #DFDCE3;
}

.footer__suscription-title {
    color: white;
    font-size: 1.6rem;
    margin-bottom: 16px;
    text-align: center;
}

.subscription-form {
    width: 300px;
    height: 40px;
    max-width: 400px;

}

.input-container {
    display: flex;
    align-items: center;
    background-color: rgba(44, 44, 44, 0.9);
    border-radius: 35px;
    padding: 2px;
    position: relative;
    width: 100%;
    height: 45px;
    border: 1px solid #DFDCE3;
}

.input-container input[type="email"] {
    background-color: transparent;
    border: none;
    color: white;
    padding: 8px 20px;
    flex: 1;
    height: 100%;
}

.input-container input[type="email"]::placeholder {
    color: rgba(255, 255, 255, 0.6);
}

.input-container button {
    display: inline-flex;
    padding: 5px 12px 5px 13px;
    justify-content: center;
    align-items: center;
    border-radius: 32px;
    background: #DFDCE3;
    color: #30392C;
    font-size: 1.4rem;
    font-weight: 500;
    cursor: pointer;
    white-space: nowrap;
    height: 100%;
    border: none;
}

.input-container button:hover {
    background-color: #f8f8f8;
}

/* Eliminar el outline del input al hacer focus */
.input-container input[type="email"]:focus {
    outline: none;
}

.footer__navigation {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 118px;
    border-bottom: 1px solid #DFDCE3;
}
.footer__navigation-title {
    color: white;
    font-size: 1.6rem;
    margin-bottom: 16px;
    text-align: center;
}
.footer__navigation-list {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 16px;
}
.footer__navigation-link {
    color: #DFDCE3;
    font-size: 1.4rem;
    font-weight: 500;
}
.footer__social-media {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
    width: 100%;
    height: 118px;
}
.footer__social-media-title {
    color: white;
    font-size: 1.6rem;
    margin-bottom: 16px;
    text-align: center;
}
.footer__social-media-icons {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

@media (min-width: 850px) {
    header {
        height: 170px;
        margin-bottom: 24px;
    }
    header .logo img {
        width: 150px;
    }
    .logo{
        left: 200px;
    }
    .navigation {
        padding-top: 150px;
        width: 40%;
    }
    .header-content {
        right: 200px;
    }
    footer {
        flex-direction: row;
        height: 296px;
    }
    .footer__suscription, .footer__navigation {
        border-bottom: none;
    }
    .subscription-form {
        width: 350px;
    }
}